Firefox under fire from multiple security bugs

Filed under
Moz/FF

The Mozilla Foundation has warned of a slew of critical vulnerabilities to its popular Firefox web browser and related products. The most serious of the flaws create a means for hackers to inject malware onto vulnerable systems.

Users are advised to upgrade to Mozilla Firefox 1.5.0.2, Mozilla Thunderbird 1.5.0.2, or SeaMonkey 1.0.1 to guard against attack. A security update to the Thunderbird email client (version 1.5.0.2) is due to be released on Tuesday.

Full Story.